One Trading API
REST API
WebSocket API
REST API
WebSocket API
  1. Futures
  • Public
    • Currencies
      GET
    • Instruments
      GET
    • Candlesticks
      GET
    • Fee Groups
      GET
    • Order Book
      GET
    • Market Ticker
      GET
    • Market Ticker For Instrument
      GET
    • Time
      GET
  • Trading
    • Balances
      GET
    • Fees
      GET
    • Get Orders
      GET
    • Create Order
      POST
    • Get Order by Order ID
      GET
    • Get Order by Client ID
      GET
    • Cancel All Orders
      DELETE
    • Cancel Order by Order ID
      DELETE
    • Cancel Order by Client ID
      DELETE
    • Get Trades for Order
      GET
    • Get Trades
      GET
    • Get Trade by Trade ID
      GET
  • Futures
    • Introduction
    • Funding Rate Methodology
    • Funding Payments
      GET
    • Positions
      GET
    • Position Trades
      GET
    • Position Funding Payments
      GET
    • Funding Rate Settings
      GET
    • Current Funding Rate
      GET
    • Funding Rate History
      GET
    • Futures Portfolio Summary
      GET
    • Get Futures Open Positions
      GET
  1. Futures

Position Trades

Developing
GET
https://api.onetrading.com/fast/v1/account/futures/positions/{position_id}/trades
Returns an array of trade records for the specified position.
MAKER trades represent single fill events at a single price level, whereas TAKER trades may include multiple fill events executed while sweeping through the order book. As a result, the price shown on TAKER trades may represent a volume-weighted average fill price across executed fills.

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Path Params

Query Params

Responses

🟢200Success
application/json
Body

🟠403
🟠400
🔴500
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://api.onetrading.com/fast/v1/account/futures/positions/2111199765938682/trades?limit=3&order=ASC&cursor' \
--header 'Authorization: Bearer <token>'
Response Response Example
200 - Example 1
{
    "trade_history": [
        {
            "fee": {
                "fee_amount": "0",
                "fee_currency": "USD",
                "fee_amount_position": "0"
            },
            "trade": {
                "account_id": "aaaba8bd-3195-4f72-87ff-98720a940f23",
                "position_id": "2111199765938682",
                "order_id": "c5991660-d05a-4d96-1b8f-bbc1a9ff787e",
                "trade_id": "655b635f-e515-57bb-bc03-269d80b77a38",
                "time": "2026-02-13T10:27:14.886985638Z",
                "instrument_code": "BTC_USD_P",
                "side": "SELL",
                "matched_as": "TAKER",
                "price": "66769.78",
                "amount": "1",
                "filled_amount": "1",
                "filled_amount_position": "0.009",
                "open_position_amount": "-0.991",
                "sequence": "98359452946",
                "order_type": "UI"
            }
        },
        {
            "fee": {
                "fee_amount": "0",
                "fee_currency": "USD",
                "fee_amount_position": "0"
            },
            "trade": {
                "account_id": "aaaba8bd-3195-4f72-87ff-98720a940f23",
                "position_id": "2111199765938682",
                "order_id": "c433d41a-38c9-45f4-06f2-d314ca2f6991",
                "trade_id": "7edf24a8-c72e-57ae-8594-c4a5e54c8f98",
                "time": "2026-01-28T13:40:57.902580242Z",
                "instrument_code": "BTC_USD_P",
                "side": "SELL",
                "matched_as": "TAKER",
                "price": "90146.87",
                "amount": "0.001",
                "filled_amount": "0.001",
                "filled_amount_position": "0.001",
                "open_position_amount": "0.009",
                "sequence": "97075273971",
                "order_type": "UI"
            }
        },
        {
            "fee": {
                "fee_amount": "0",
                "fee_currency": "USD",
                "fee_amount_position": "0"
            },
            "trade": {
                "account_id": "aaaba8bd-3195-4f72-87ff-98720a940f23",
                "position_id": "2111199765938682",
                "order_id": "1a9d62c5-72bb-490f-2035-4377663366ad",
                "trade_id": "f90fac7c-9f8e-5d3d-a40e-7f6c91299e58",
                "time": "2026-01-28T08:19:25.380629346Z",
                "instrument_code": "BTC_USD_P",
                "side": "BUY",
                "matched_as": "TAKER",
                "price": "89075.95",
                "amount": "0.01",
                "filled_amount": "0.01",
                "filled_amount_position": "0.01",
                "open_position_amount": "0.01",
                "sequence": "97011492091",
                "order_type": "UI"
            }
        }
    ],
    "cursor": null
}
Previous
Positions
Next
Position Funding Payments
Built with